<?php

namespace App\JsonRpc;
interface LinkServiceInterface
{
    /**
     * @param array $data
     */
    public function getLinkList(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function createLink(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function updateLink(array $data): array;

    /**
     * @param int $id
     * @return array
     */
    public function delLink(int $id): array;



}
